Update address

Update fields on an existing shipping or deposit address

Authentication

AuthorizationBearer

Your API key, sent as Authorization: Bearer usgmk_live_… in production or usgmk_test_… in the sandbox.

Path parameters

idstringRequired

Request

This endpoint expects an object.
typeenumOptional

shipping = a shipment destination; deposit = where check deposits are sent.

namestringOptional1-255 characters
line1stringOptional1-255 characters
line2stringOptional<=255 characters
line3stringOptional<=255 characters
citystringOptional1-255 characters
statestringOptional1-255 characters
postal_codestringOptional1-32 characters
countrystringOptional1-255 characters
phone_numberstringOptional1-32 characters
tax_idstringOptional<=64 characters

Response

idstring

Address id (UUID).

typeenum

shipping = a shipment destination; deposit = where check deposits are sent.

is_defaultboolean

The default address of its type — one per type.

namestring or nullOptional
Recipient name on the address.
line1string or nullOptional
line2string or nullOptional
citystring or nullOptional
statestring or nullOptional
postal_codestring or nullOptional
countrystring or nullOptional
line3string or nullOptional
phone_numberstring or nullOptional
tax_idstring or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error